public class GetVersions extends Endpoint<List<ProjectVersion>,GetVersions.GetVersionsRequest>
| Modifier and Type | Class and Description |
|---|---|
static class |
GetVersions.GetVersionsRequest
This class is used to represent the request body.
|
| Constructor and Description |
|---|
GetVersions(HttpClient client,
com.google.gson.Gson gson)
Creates a new instance of the endpoint.
|
| Modifier and Type | Method and Description |
|---|---|
String |
getEndpoint()
Returns the endpoint.
|
com.google.gson.reflect.TypeToken<GetVersions.GetVersionsRequest> |
getRequestClass()
Returns the request class.
|
com.google.gson.reflect.TypeToken<List<ProjectVersion>> |
getResponseClass()
Returns the response class.
|
boolean |
isJsonBody()
Returns whether the request body is JSON.
|
checkBodyForErrors, executeRequest, getMethod, getReplacedUrl, readFile, readStream, requiresBody, sendRequest, sendRequestpublic GetVersions(HttpClient client, com.google.gson.Gson gson)
client - The HTTP client to use.gson - The GSON instance to use.public String getEndpoint()
getEndpoint in class Endpoint<List<ProjectVersion>,GetVersions.GetVersionsRequest>public com.google.gson.reflect.TypeToken<GetVersions.GetVersionsRequest> getRequestClass()
getRequestClass in class Endpoint<List<ProjectVersion>,GetVersions.GetVersionsRequest>TypeToken for the response.public com.google.gson.reflect.TypeToken<List<ProjectVersion>> getResponseClass()
getResponseClass in class Endpoint<List<ProjectVersion>,GetVersions.GetVersionsRequest>TypeToken for the response.public boolean isJsonBody()
isJsonBody in class Endpoint<List<ProjectVersion>,GetVersions.GetVersionsRequest>Copyright © 2026. All rights reserved.